## pylsqpack 0.3.17

=== debian/changelog ===
pylsqpack (0.3.17-2) unstable; urgency=medium

  * Correct Vcs* and upload to unstable so binaries are built on buildd

 -- Scott Kitterman <scott@kitterman.com>  Wed, 26 Jul 2023 21:44:39 -0400

pylsqpack (0.3.17-1) unstable; urgency=low

  * Initial release, (Closes: #1040553)
  * Patch out privacy related cruft in documentation

 -- Scott Kitterman <scott@kitterman.com>  Tue, 25 Jul 2023 23:34:41 -0400
