=== debian/control ===
Source: pylsqpack
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Scott Kitterman <scott@kitterman.com>
Build-Depends: debhelper-compat (= 13),
               pybuild-plugin-pyproject, python3-setuptools,
               python3-all-dev,
               python3-sphinx,
Standards-Version: 4.6.2
Vcs-Git: https://salsa.debian.org/python-team/packages/pylsqpack.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/pylsqpack
Testsuite: autopkgtest-pkg-pybuild
Rules-Requires-Root: no

Package: python3-pylsqpack
Architecture: any
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends},
Suggests: python-pylsqpack-doc
Description: Python wrapper for the ls-qpack QPACK library
 Wrapper around the ls-qpack library. It provides Python Decoder and Encoder
 objects to read or write HTTP/3 headers compressed with QPACK.

Package: python-pylsqpack-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: documentation for the pylsqpack Python library
 This package provides documentation for python3-pylsqpack
