## pylsqpack 0.3.18

=== debian/changelog ===
pylsqpack (0.3.18-1) unstable; urgency=medium

  [Dale Richards]
  * Modify d/rules and patch setup.py to build the included C libraries using
    the compiler flags recommended by Debian Hardening.

  [Scott Kitterman]
  * Set Multi-Arch: foreign in python-pylsqpack-doc
  * Update d/source/options extend-diff-ignore to prevent python package
    metadata regeneration from preventing source package rebuilding (Closes:
    #1047662)
  * In d/control, add Homepage field and update python-pylsqpack-doc long
    description to include primary package description
  * New upstream release

 -- Scott Kitterman <scott@kitterman.com>  Sat, 30 Dec 2023 16:39:10 -0500
