=== debian/control ===
--- 
+++ 
@@ -10,6 +10,7 @@
 Standards-Version: 4.6.2
 Vcs-Git: https://salsa.debian.org/python-team/packages/pylsqpack.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/pylsqpack
+Homepage: https://github.com/aiortc/pylsqpack
 Testsuite: autopkgtest-pkg-pybuild
 Rules-Requires-Root: no
 
@@ -24,6 +25,10 @@
 Package: python-pylsqpack-doc
 Section: doc
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}, ${sphinxdoc:Depends}
 Description: documentation for the pylsqpack Python library
- This package provides documentation for python3-pylsqpack 
+ Wrapper around the ls-qpack library. It provides Python Decoder and Encoder
+ objects to read or write HTTP/3 headers compressed with QPACK.
+ .
+ This package provides documentation for python3-pylsqpack.
