=== debian/changelog ===
pylsqpack (0.3.22-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * debian/copyright: Fix Upstream-Contact and Source fields.

 -- Colin Watson <cjwatson@debian.org>  Tue, 19 Aug 2025 15:22:01 +0100

pylsqpack (0.3.18-2) unstable; urgency=medium

  * Team upload.
  * Fix endianness issue on pylsqpack in s390x (thanks, Pranav P; closes:
    #1099935).
  * Use dh-sequence-python3 and dh-sequence-sphinxdoc.

 -- Colin Watson <cjwatson@debian.org>  Thu, 20 Mar 2025 23:22:24 +0000
