=== debian/control ===
--- 
+++ 
@@ -4,8 +4,11 @@
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Scott Kitterman <scott@kitterman.com>
 Build-Depends: debhelper-compat (= 13),
-               pybuild-plugin-pyproject, python3-setuptools,
+               dh-sequence-python3,
+               dh-sequence-sphinxdoc,
+               pybuild-plugin-pyproject,
                python3-all-dev,
+               python3-setuptools,
                python3-sphinx,
 Standards-Version: 4.6.2
 Vcs-Git: https://salsa.debian.org/python-team/packages/pylsqpack.git
