## pylsqpack 0.3.23

=== debian/changelog ===
pylsqpack (0.3.23-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Drop "Rules-Requires-Root: no", default as of dpkg-dev 1.22.13.

 -- Colin Watson <cjwatson@debian.org>  Mon, 24 Nov 2025 16:37:33 +0000
