=== debian/control ===
--- 
+++ 
@@ -15,7 +15,6 @@
 Vcs-Browser: https://salsa.debian.org/python-team/packages/pylsqpack
 Homepage: https://github.com/aiortc/pylsqpack
 Testsuite: autopkgtest-pkg-pybuild
-Rules-Requires-Root: no
 
 Package: python3-pylsqpack
 Architecture: any
